> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outerport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get document text blocks

> Retrieves all text blocks associated with a document.

## Get document text blocks

Retrieves all text blocks associated with a document.

### Path Parameters

<ParamField path name="document_id" type="integer" required>
  No description provided
</ParamField>

### Response

<ResponseField name="data" type="object">
  The response data for this endpoint.
</ResponseField>

<ResponseExample>
  ```json
  [
    {
      "id": 123,
      "text": "string",
      "page_number": 123,
      "block_number": 123,
      "bboxes": [
        {
          "x0": 123.45,
          "y0": 123.45,
          "x1": 123.45,
          "y1": 123.45
        }
      ]
    }
  ]
  ```
</ResponseExample>
